{% extends "bootstrap/base.html" %}

{% block content %}

<div class="d-flex flex-column justify-content-start" style="text-align: left">

    <h1>Chatbot connecté des graphes de connaissances.</h1>
    <h2>Bot construit avec le framework Rasa open source</h2>
    <p>
        Le but du chatbot est de renseigner les utilisateurs sur divers restaurants en Suisse.<br>
    </p><br>
    <p>
      Ce travail a été réalisé dans le cadre de mon projet de recherche de Bachelor en système d'information et science des services
      pour le pôle d'innovation numérique et la cellule recherche et développement.<br>
      Le code source du projet est disponible sur <a href="https://gitlab.unige.ch/Kerfalla.Cisse/travail_bachelor">gitlab.</a>
    </p>

</div> <br>
<div>
    <p>Si vous avez des questions n'hésitez pas à me contacter à l'adresse suivante:</p>
    <a href="mailto: Kerfalla.Cisse@etu.unige.ch">Kerfalla.Cisse@etu.unige.ch</a>.
</div>

<style>
    .rw-conversation-container .rw-header {
        background-color: black;
    }
    .rw-launcher{
        background-color: black;
    }
    .rw-conversation-container .rw-messages-container .rw-snippet .rw-link {
        color: rgb(18,115,207);
    }
</style>

<script>!(function () {
    let e = document.createElement("script"),
      t = document.head || document.getElementsByTagName("head")[0];
    (e.src =
      "https://cdn.jsdelivr.net/npm/rasa-webchat/lib/index.js"),
      (e.async = !0),
      (e.onload = () => {
        window.WebChat.default(
          {
            initPayload: "Salut ! Bienvenue dans notre chatbot dédié aux restaurants en Suisse. \nCe chatbot est conçu pour faciliter votre recherche de restaurants. Il peut vous fournir des informations détaillées sur chaque établissement, telles que les horaires d'ouverture, le type de cuisine, l'adresse, etc.\n Ce chatbot est connecté à plusieurs graphes de connaissances afin de répondre à vos questions. Il devient intelligent à travers les questions que vous lui posez.",
            customData: { language: "fr" },
            socketUrl: "http://localhost:5005",
            title: "Restaurants suisses bot",
            profileAvatar: "../static/chatbot_avatar.png",
            showFullScreenButton: true
          },
          null
        );
      }),
      t.insertBefore(e, t.firstChild);
  })();
  </script>




{% endblock content %}